;-----------= Gray82 Test 1 =-----------
; Author:       Ian Graf
;               (ian_graf@geocities.com)
; Version:      1.0
; Platform:     CrASH
; Date:         6/22/00
;---------------------------------------

#include "ti82.h"

        #define         fastupdate      ; skip standard int routine
        #define         gcp             ; include compressed  pic routine

 .org START_ADDR
 .db "Gray82 Test 1",0


start_of_program:
        call    clrbuf                  ; clear screen
        ld      ix,pic                ;
        call    degcp                   ; decompress picture
        call    grayscaleon             ; turn on grayscale
keyl:   ld      a,$FF                   ;
        out     (1),a                   ;
        ld      a,$FD                   ;
        out     (1),a                   ;
        in      a,(1)                   ;
        and     %01000000               ; quit
        jp      z,grayscaleoff          ; turn off grayscale
        jr      keyl                    ;


        #include        "gray82.inc"
        #include        "pic.z80"


        .end
